/// <reference types="react" />
export declare const headerStickyPanelVisibilityCss = "\n  & .header-sticky-panel {\n    position: relative;\n    z-index: 10;\n  }\n\n  // When sub navigation menu is open --> the sticky panel should be under the menu\n  &:has(.hhgcomp-navigation-itemnav-headeritem:focus-within) {\n    .header-sticky-panel {\n      position: relative;\n      z-index: 0;\n    }\n  }\n";
export declare const StyledStickyPanel: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const StyledStickyPanelContent: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const StyledCategoryList: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
